org.springframework.transaction.annotation

## Interface TransactionAnnotationParser

All Known Implementing Classes:
  Ejb3TransactionAnnotationParser, SpringTransactionAnnotationParser

    public interface TransactionAnnotationParser

Strategy interface for parsing known transaction annotation types. `AnnotationTransactionAttributeSource` delegates to such parsers for supporting specific annotation types such as Spring's own `Transactional` or EJB3's `TransactionAttribute`.

Since:
  2.5
Author:
  Juergen Hoeller
See Also:
  `AnnotationTransactionAttributeSource`, `SpringTransactionAnnotationParser`, `Ejb3TransactionAnnotationParser`

### Method Summary

Methods
`TransactionAttribute` `parseTransactionAnnotation(AnnotatedElement ae)` Parse the transaction attribute for the given method or class, based on a known annotation type.

### Method Detail

#### parseTransactionAnnotation

    TransactionAttribute parseTransactionAnnotation(AnnotatedElement ae)

Parse the transaction attribute for the given method or class, based on a known annotation type.

This essentially parses a known transaction annotation into Spring's metadata attribute class. Returns `null` if the method/class is not transactional.

Parameters:
  `ae` - the annotated method or class
Returns:
  TransactionAttribute the configured transaction attribute, or `null` if none was found
See Also:
  `AnnotationTransactionAttributeSource.determineTransactionAttribute(java.lang.reflect.AnnotatedElement)`